package com.ensign.crm.module.crm.job;

import com.ensign.crm.framework.quartz.core.handler.JobHandler;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Component;

import java.text.SimpleDateFormat;
import java.util.Date;

/**
 * @Description: TODO
 * @Date: 2024/10/9 15:54
 * @Created: by ZZSLL
 */

@Component
@Slf4j
public class TestLogOutputTask implements JobHandler {
    @Override
    public String execute(String param) throws Exception {
        log.info(Thread.currentThread().getName());
        SimpleDateFormat sdf = new SimpleDateFormat("yyyy-MM-dd HH:mm:ss");
        log.info(sdf.format(new Date()));
        return "success";
    }
}
